eJabberd - OMEMO


(Gerald) #1

Hello,
I use the eJabber service to stay in contact with the world :wink:

Messaging internally and externally works, but what does not work is the encryption with OMENO.
I have read something and found that this is only from a newer version of eJabber or if you add some additional modules.

Is there now a possibility to update to a new version? I can update the module manually - but he only throws up errors afterwards …

Alternatives possible?


Ejabberd 16.01 bug or issue
(Giacomo Sanchietti) #2

I know that @stephdl has ejabberd on his radar, but the work is quite difficult because it needs a full rewrite of configuration template.

Regarding OMENO, I don’t what it is. Could you provide some links?


(Gerald) #3

(Stéphane de Labrusse) #4

@giacomo @davidep where does the rpm ejabberd-16.01 come from ?

It comes from nethserver-base, but I cannot find the src.rpm nor source in github ?


(Davide Principi) #5

It comes from the ejabberd repos!


(Stéphane de Labrusse) #6

https://docs.ejabberd.im/admin/upgrade/#specific-version-upgrade-notes

:smiley:

some stuff to study

https://docs.ejabberd.im/admin/upgrade/from_17.03_to_17.06/
https://docs.ejabberd.im/admin/upgrade/from_17.06_to_17.09/
https://docs.ejabberd.im/admin/upgrade/from_17.09_to_17.11/
https://docs.ejabberd.im/admin/upgrade/from_17.11_to_18.01/
https://docs.ejabberd.im/admin/upgrade/from_18.01_to_18.03/


(Giacomo Sanchietti) #7

Just for reference, some work has already been done, you find come commits here: https://github.com/gsanchietti/nethserver-ejabberd/tree/yaml